Redmine - Feature #12579

Ability to assign issues to multiple users
2012-12-12 11:51 - Bishoy Medhat

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution:

Description
Dear All:

Kindly | need to make "Assignee" Combo box allow "Multi-Selection" because of:

e Sometimes , Groups don't help me while assigning a specific issue to more than one member.
This happened in case where the assignees are not gathered in a group. (This happened frequently)
(Note that: There is an Infinite combination of users!!)
So, | need the "Assignee" field to be a List Box which allow "Multi-Selection".

Related issues:

Has duplicate Redmine - Feature #408: Assign a task to multiple users Closed
Has duplicate Redmine - Feature #15809: issue assign for multiple user Closed
Has duplicate Redmine - Feature #24286: Multiple Asignee ticket Closed
Has duplicate Redmine - Feature #39025: two performers for one task. Closed
History

#1 - 2012-12-12 13:46 - Etienne Massip
- Priority changed from High to Normal

#2 - 2012-12-13 13:31 - Jean-Philippe Lang

- Subject changed from Assignee Field to Ability to assign issues to multiple users

#3 - 2012-12-20 13:14 - Miodrag Milic
Yes, this is troubling because you need to have redmine admin around all the time to make you those groups for entire system in order for you to use
them in single project.

There are two solutions to this:

e Assign field should accept multiple users/groups as suggested
e Groups should be managable per project (or even per manager or user) and perhaps even savable with adequate rights, similar to the way one
can save public queries. | think first solution is far easier, but the second one has potential for aditional future functionalities.

Current solution is not only not practical but it slows down development of the project because aditional person needs to be present for process to
continue (redmine admin).

#4 - 2012-12-20 17:54 - Daniel Felix

We would need this feature as well. This would help us to implement some parallel work.

#5 - 2013-01-06 07:36 - # And

One more thing - estimated time per user. If 2 or more person works with the same issue (parallel work), it is necessary each person set estimate for
his work. So estimated hours per issue need to be a summ.
More complicated, but more powerful.

#6 - 2013-01-06 08:47 - Daniel Felix

Well | don't think so. Those estimated hours are normally defined by the project manager by some kind of method (for example PERT).
If he defines that this task needs 20 hours, then it's similar if there are two people who work 10 hours or one person who works 20 hours. If they need
more, it would be okay. These are just the estimated hours. If they need 30 hours in real, they could add them to the timelog.
Maybe this is just my opinion, but it would make this integration easier. :-)

#7 - 2013-01-06 09:22 - Miodrag Milic

The estimated hours has nothing to do with this issue.

#8 - 2013-01-06 11:01 - Daniel Felix

Miodrag Milic wrote:

The estimated hours has nothing to do with this issue.

Well indirectly. Estimated hours are a consequence of a multiuser-ticket. But | agree with you, this could be integrated separately.

#9 - 2013-02-25 01:50 - Randy Gobbel

Ah, | see that this has resurfaced, apparently a duplicate of issue 408, which has been around for quite a while.

As | commented over there, it seems like this could perhaps be some Ul sugar over assigning to a group, by creating a hidden group that would
actually be dependent on the issue, and would not show up in the regular groups interface. Since some people seem strongly opposed to this whole
thing, it could be an optional feature (as assigning to groups already is).

In order to implement this, you would need some sort of flag on groups to designate them with this special status (or have a different type of Group,
but that seems heavy-handed). Flagged groups would not show up in the Groups Ul. I'm sure there are other wrinkles to this that | haven't thought of,
since I'm not very familiar with the code, but at this point | don't see why it wouldn't work.

#10 - 2013-10-16 02:54 - AnekcaHpp BonoHA3b

Please, make it on next release, its very easy, just make one more table issues_assignes like groups_users

#11 - 2013-12-07 22:25 - Beni Bilme

I work in a non profit organization. In the my organization, we have different departments/sections under a director. Directory opens up an issue that
will be handled by the organization. An issue usually involves multiple sections/departments. One department always becomes what we call
coordinator. Coordinator has the main responsibility about the issue. The others will do their parts but the coordinator will track the issue throuhout
whole lifecycle until its completion. Now we are trying to achieve this via one assignee as the coordinator and the watchers as the others or under
main issue for the coordinator, we place multiple sub issues for each department/section.

This is cumbersome not directly what we need.

We need multiple assigments, if possible a field to mark who is overall responsible.

#12 - 2013-12-08 10:55 - Miodrag Milic

This plugin is related: Redshares

#13 - 2013-12-08 10:56 - Toshi MARUYAMA
- Related to deleted (Feature #408: Assign a task to multiple users)

#14 - 2013-12-08 10:56 - Toshi MARUYAMA

- Has duplicate Feature #408: Assign a task to multiple users added

#15 - 2013-12-23 18:08 - Brian Bourke-Martin

I manage a small organization of engineers in which tasks are usually delegated to multiple individuals. It is not uncommon for our employee's to
miss logging time against a ticket because they are not the assignee, but are on the team. This would assist us in mitigating the error in time
reporting due to this.

#16 - 2014-01-06 09:26 - Toshi MARUYAMA

- Has duplicate Feature #15809: issue assign for multiple user added

#17 - 2014-01-06 09:45 - Khashchuluun Davaa
Hi Toshi MARUYAMA

| didn't see solution. Could you advise step by step?

#18 - 2014-04-07 09:31 - Andrey Shpak

We need this feature too.

#19 - 2014-05-16 19:07 - Marcio Lopes
www.redmine.org/plugins/redshares

Hello,
This issue would be very useful.
I think it could be only the possibility to add more than a user in "Assigned to" field.

The time track for the person is registered in the Log time area.

#20 - 2014-09-16 15:55 - Jean Risse

For all the reasons mentioned above: yes it would be great to have this feature implemented. We work in a Scrum environment in which the ability to
assign issues to multiple resources would greatly enhance our workflow.

#21 - 2014-12-05 16:29 - Garry Paxton

Hi,

| am trying to find a simple item of software to manage "Request For Change" approvals. In other words, after a project has been set up and
initiated, a change is requested that might impact the budget, timescales, deliverables, etc. If the multiple assignment feature were implemented in
Redmine, it would allow me to use Redmine for the purpose of RFC management.... All that is required is a single "issue" which can be assigned to

several people, all of whom need to give their "approval" on the change (one might be the Risk Manager, another the Budget Holder, another the
Project Sponsor, etc, each with their own responsibilities with regard to the change).

a) Am | pushing my expectations of Redmine into an area that it isn't really designed for, or,
b) is there a Plug-in to manage what I'm hoping to achieve, or
c¢) would the requested feature permit me to achieve this?

many thanks,
Garry

#22 - 2015-04-10 20:03 - Omer Arslan

Implementing this feature would be very helpful for us too.

#23 - 2015-05-28 12:54 - trigal trigal

+1

#24 - 2015-05-28 17:58 - Gabriel Lopes
There is actually a way of doing this, you can setup some custom fields for those specific areas, lets say you create a tracker called "Change
Request", in that tracker you can add the following custom fields:

- Legal Approval (of type boolean)

- Legal Comments (text)

- Revenue Approval (of type boolean)
- Revenue Comments (text)

- efc...

Then you can assign those fields in the workflow by using workflow, that would be better for you use case i believe.

Cheers,

Gabriel

Garry Paxton wrote:
Hi,
| am trying to find a simple item of software to manage "Request For Change" approvals. In other words, after a project has been set up and
initiated, a change is requested that might impact the budget, timescales, deliverables, etc. If the multiple assignment feature were
implemented in Redmine, it would allow me to use Redmine for the purpose of RFC management.... All that is required is a single "issue" which
can be assigned to several people, all of whom need to give their "approval" on the change (one might be the Risk Manager, another the Budget
Holder, another the Project Sponsor, etc, each with their own responsibilities with regard to the change).
a) Am | pushing my expectations of Redmine into an area that it isn't really designed for, or,
b) is there a Plug-in to manage what I'm hoping to achieve, or

c) would the requested feature permit me to achieve this?

many thanks,
Garry

#25 - 2015-06-21 00:04 - Ling Li
+1 When we interview candidates, we need a (dynamic) group of people to look at her/his resume, interview, and write feedbacks. Being able to
have multiple assignees, OR, having the "Involve" mechanism, would be critical.

#26 - 2015-09-06 13:54 - Julius Friedrich

+1 I don't like losing track of my issues by assigning them to someone else for just a question or something alike. Watcher is not helpful here. Some
"Involve"-Mechanism would be nice, just multiple assignees would help alot aswell.

#27 - 2015-11-04 16:08 - Dan Muey

+1 itis invaluable to have various people assigned to various roles, e.g.:

e Developer: Bob
¢ Reviewer: Fred
¢ QA: Mary

That way when it is “In progress” everyone knows its in Bob's court. When its in Review Fred should be on it etc

Also very useful for historical info (e.g. How did this bug get past Bob, Fred, and Mary before we noticed it when it made the build fail?).

#28 - 2016-04-04 12:14 - Al Pocheche

+1

#29 - 2016-04-22 07:19 - glu tan

+1 for Dan Muey's comment.

#30 - 2016-04-29 16:49 - Inese Ez

+1 to multipe assignees

#31 - 2016-05-18 23:01 - Omer Arslan

+1 for this functionality. It will really make redmine so powerful. Our company needs this feature very much.

#32 - 2016-05-19 22:59 - José Cavalcanti

+1

| work with Scrum and development-tests cicle, it would be very helpfull if 1 tester and 1 developer could be assigned for some task. In my case if the
task becomes Republished, the developer would know (by looking his My Tasks filter). In other hand the tester should know all tasks he must test
looking his My Tasks filter.

#33 - 2016-11-07 14:46 - Toshi MARUYAMA
- Has duplicate Feature #24286: Multiple Asignee ticket added

#34 - 2017-06-23 21:27 - Freddy L

+1 to multipe assignees. group too static

#35 - 2017-08-09 15:52 - Eugene Belford

+1
did someone is working on it?

#36 - 2017-10-04 09:50 - Ceylan Bozogullarindan

I am working on it. | have just started to write...
#37 - 2018-03-08 06:47 - Susan Kao
Ceylan Bozogullarindan wrote:
| am working on it. | have just started to write...
+1

If it can have multiple assignees is helpful.
Looking forward to your news~

#38 - 2018-04-23 02:43 - Senguttuvan Ganesan

Even | too agree with this. | had to assign a reading task to multiple people. The task will be considered as done if they are read by all the people. |
use other means of tracking to see the task completion by individually assigned users. Currently, using a checkbox list but planned to have some sort
of 'Done’ capability for each user. In either case, we should have the ability to assign the same task to multiple people. Otherwise, | had to duplicate
the task for each user, diluting the visibility of the system.

#39 - 2018-06-11 17:41 - precious plum

| have created a plugin to make user format custom fields have assignee functionality.
the specified user can be notified when issues are modified and reminder mails are sent.
Also, issues can be queried as assignees.

http://www.redmine.org/plugins/custom_users_as_assignees
https://github.com/preciousplum/custom_users_as_assignees

| use this plugin to realize multiple assignees with a user format custom field which has multiple values.

#40 - 2019-03-29 17:31 - Mitsuyoshi Kawabata

+1
| often hear this request.

#41 - 2020-02-26 23:03 - Anestis Kozakis

Add my +1 to this request.
Our developers would like to be able to have issues assigned to more than one person, in case one developer is away form some reason.

#42 - 2020-03-10 20:47 - Kamil AFACAN
precious plum wrote:
| have created a plugin to make user format custom fields have assignee functionality.

the specified user can be notified when issues are modified and reminder mails are sent.
Also, issues can be queried as assignees.

http://www.redmine.org/plugins/custom_users_as_assignees
https://github.com/preciousplum/custom_users_as_assignees

| use this plugin to realize multiple assignees with a user format custom field which has multiple values.

This plugin is available for 3.x. Could we use with 4.x ?

#43 - 2020-05-08 19:09 - CraHucnas Konepa
Kamil AFACAN wrote:

This plugin is available for 3.x. Could we use with 4.x ?

This is Fork with changes for 4.x:
https://github.com/koledas/custom_users_as_assignees

#44 - 2021-05-07 23:13 - Gabor Toldi

| agree in the need of this feature. For example you have an organisational task like Sprintplanning / Daily you add this time to and need to add every
member his time on it.

#45 - 2021-06-24 19:00 - James H

+1

#46 - 2021-07-26 10:48 - Trexxon GmbH

+1

#47 - 2021-09-14 08:42 - Andinue April

+1

#48 - 2021-09-14 10:58-C S

+1

#49 - 2021-12-09 14:31 - Przemystaw Gatka

+1
http://www.redmine.org/plugins/custom_users_as_assignees
https://github.com/preciousplum/custom_users_as_assignees
http://www.redmine.org/plugins/custom_users_as_assignees
https://github.com/preciousplum/custom_users_as_assignees
https://github.com/koledas/custom_users_as_assignees

#50 - 2022-01-04 10:33 - Julien Dubois

+1 this it would be super convenient, thank you for your work!

#51 - 2022-05-06 05:17 - Norman Edance

+1
How it works in GitLab - Multiple Assignees for Issues
multiple_assignees.gif

#52 - 2022-06-04 14:14 - Anonymous

Can anyone support redmine up to 5.x?
5. Help me improve x compatibility
I've tried this plugin, but it doesn't send email to the user specified in the custom field.

#53 - 2022-06-05 05:04 - Anonymous
Cranucnae Konepga wrote:
Kamil AFACAN wrote:
This plugin is available for 3.x. Could we use with 4.x ?

This is Fork with changes for 4.x:
https://github.com/koledas/custom_users_as_assignees

#54 - 2023-04-30 22:07 - Kamil AFACAN

hisashi ohara wrote in #note-53:
Crtanucnae Konena wrote:
Kamil AFACAN wrote:

This plugin is available for 3.x. Could we use with 4.x ?

This is Fork with changes for 4.x:

https:/github.com/koledas/custom_users_as_assignees

Thank you so much, will check and inform asap

#55 - 2023-09-06 06:59 - Go MAEDA

- Has duplicate Feature #39025: two performers for one task. added

#56 - 2024-01-29 13:50 - Jazmin Maria Penayo Insfran

Is this plugin compatible with redmine version 5.1.1.stable?
https://docs.gitlab.com/ee/user/project/issues/multiple_assignees_for_issues.html
https://github.com/koledas/custom_users_as_assignees
